Skip to main content
GET
/
api
/
v3
/
timeentries
List multiple time-entries
curl --request GET \
  --url https://{host}/api/v3/timeentries \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/api/v3/timeentries"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/api/v3/timeentries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "count": 123,
    "items": [
      {
        "ownerId": 199,
        "unit": 2,
        "startsAt": "2022-01-01T08:00:00",
        "duration": "03:45:00",
        "id": 2,
        "owner": {
          "id": 2,
          "firstName": "<string>",
          "lastName": "<string>",
          "mail": "jsmith@example.com",
          "legalEntityId": 123
        },
        "endsAt": "2022-01-01T11:45:00",
        "authorId": 199,
        "createdAt": "2022-01-01T18:35:10",
        "modifierId": 123,
        "modifiedAt": "2022-01-01T18:42:14",
        "archivedAt": "2022-01-01T18:41:12",
        "creationSource": 2,
        "layer": 123,
        "axisSections": [
          {
            "id": 2,
            "code": "<string>",
            "name": "<string>",
            "multilingualName": "<string>",
            "description": "<string>",
            "ownerId": 2,
            "startOn": "2023-11-07T05:31:56Z",
            "endOn": "2023-11-07T05:31:56Z",
            "active": true,
            "axisId": 123,
            "parentAxisSections": [
              {}
            ],
            "childrenAxisSections": [
              {}
            ]
          }
        ],
        "comment": {
          "id": 123,
          "content": "<string>",
          "authorId": 123,
          "createdAt": "2023-11-07T05:31:56Z"
        },
        "timeTypeId": 123,
        "timesheetId": 123
      }
    ]
  }
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

paging
string
required

{offset},{limit}. Defaults to 0,1000.

Example:

"2000,500"

ownerId
integer[]

Filter out time-entries on its ownerIds

startsAt
string

{comparator},{date-time}. Filter out time-entries on its startsAt.

Example:

"between,2021-01-01,2021-02-01"

axisSections.id
string

Filter on a comma-separated list of AxisSections identifiers.

axisSections.code
string[]

Filter on a comma-separated list of AxisSections codes.

modifiedAt
string

{comparator},{date-time}. Filter out time-entries on their modifiedAt.

Example:

"since,2021-01-01T08:45:23Z"

archivedAt
string

{comparator},{date-time}. Filter out time-entries on their startsAt.

Example:

"since,2021-01-01T08:45:23Z"

orderBy
string

{fieldName},{direction}. Defaults to {id},{asc}

Response

OK

data
object